Subject: Re: bug#68803: [PATCH] Substitute all emacsclient occurrences

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2025 21:07:18 -0800

Lin Jian <[email-masked]> writes:

> I am surprised and happy to see my two trivial patches merged one year
> after they were proposed.  Thank you, Stefan.
>
> BTW, do you have any suggestions about getting patches reviewed and
> merged sooner?  One year for trivial patches to be merged seems a bit
> long to me.

Fundamentally, the reason is that we just don't have enough people on
board that are reviewing patches.  We are all volunteers and Emacs is a
very large project.  This means that we sometimes miss things, or let
them fall by the wayside, when we perhaps shouldn't have.

Do feel free to ping us after say a month or two, if we didn't get to
one of your patches.  You can also help make our job easier by providing
additional details, such as briefly detailing any testing done, writing
a clear yet succinct rationale for why the patch is right, and so on.

Thanks again for contributing to Emacs.